cascading.flow.planner.iso.transformer

## Class RemoveBranchGraphTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<E,E>
  - - cascading.flow.planner.iso.transformer.RecursiveGraphTransformer<ElementGraph>
    - - cascading.flow.planner.iso.transformer.MutateGraphTransformer
      - - cascading.flow.planner.iso.transformer.RemoveBranchGraphTransformer

    public class RemoveBranchGraphTransformer
    extends MutateGraphTransformer

### Field Summary

### Fields inherited from class cascading.flow.planner.iso.transformer.MutateGraphTransformer

`graphTransformer`

### Fields inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

`DEFAULT_TRANSFORM_RECURSION_DEPTH_MAX, TRANSFORM_RECURSION_DEPTH_MAX`

### Constructor Summary

Constructors
Constructor and Description
`RemoveBranchGraphTransformer(ExpressionGraph filter)`
`RemoveBranchGraphTransformer(GraphTransformer graphTransformer, ExpressionGraph filter)`

### Method Summary

Methods
`protected boolean` `transformGraphInPlaceUsing(Transformed<ElementGraph> transformed, ElementGraph graph, Match match)`

### Methods inherited from class cascading.flow.planner.iso.transformer.MutateGraphTransformer

`prepareForMatch, requiresRecursiveSearch`

### Methods inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

`addExclusions, transform, transform`

### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

`transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RemoveBranchGraphTransformer

    public RemoveBranchGraphTransformer(ExpressionGraph filter)

#### RemoveBranchGraphTransformer

    public RemoveBranchGraphTransformer(GraphTransformer graphTransformer,
                                ExpressionGraph filter)

### Method Detail

#### transformGraphInPlaceUsing

    protected boolean transformGraphInPlaceUsing(Transformed<ElementGraph> transformed,
                                     ElementGraph graph,
                                     Match match)

Specified by:
  `transformGraphInPlaceUsing` in class `RecursiveGraphTransformer<ElementGraph>`